{% extends "index.html" %}
{% block content %}
<div id="form">
    <h1 class="titles">New delivery</h1>
    <form method="POST">
        <div class="form-group">
            <h3>Unit code</h3><span>{{unit.unit_name}}</span>
          
            
       
            <label>Delivery address in the following format: street number, street name, Stellenbosch  (Only addresses in Stellenbosch or within 20 km from Stellenbosch)</label>
            <input {% if user.address %} value="{{user.address.full_name}}" {% endif %}  class="form-control" name="address">

              <div class="form-group">
                        <label for="comment">Delivery note, make it easier for the driver to find you:</label>
                        <textarea name="delivery_note" class="form-control" rows="5" id="delivery-note-content"></textarea>
                    </div>


            <div class="datetime">
                <div>
                    <label>Drop-off date</label>
                    <input    name="dropoff_date"  id="dropoff_date" class="form-control" />
                </div>
                <div>
                    <label>Time</label>    <br>


                    <div class="radio">
                        <label><input checked value="MORNING"  type="radio" name="dropoff_time">Morning (8AM - 12PM)</label>
                    </div>
                    <div class="radio">
                        <label><input value="AFTERNOON"  type="radio" name="dropoff_time">Afternoon (1PM - 5PM)</label>
                    </div>




                </div>
            </div>
            <div class="datetime">
                <div>
                    <label>Pickup date</label> 
                    <input required name="pickup_date"  id="pickup_date" class="form-control" />
                </div>
                <div>
                    <label>Time</label>   <br>
                    <div class="radio">
                        <label><input checked value="MORNING"  type="radio" name="pickup_time">Morning (8AM - 12PM)</label>
                    </div>
                    <div class="radio">
                        <label><input value="AFTERNOON"  type="radio" name="pickup_time">Afternoon (1PM - 5PM)</label>
                    </div>
                </div>
            </div>
           
        </div>
        {% if step == 'QUOTE' %}
             <div class="form-group">
                <input name="step" hidden  value="QUOTE" />
                <button  id="edit-pod" type='submit' class="btn btn-large btn-info">Quote delivery</button>
            </div>
        {% else %}
            <h4>Cost: </h4>
            <div class="form-group"><span>R:</span>
                <input  name="price"  id="price" value="{{delivery_cost}}" class="form-control" />
                <br>
                <button  id="edit-pod" type='submit' class="btn btn-large btn-info">Place delivery</button>
            </div>
            <a class="btn btn-large btn-info" href='/deliveries/{{unit.key.id()}}'>Reject quote</a>
        {% endif %}
    </form>
</div>
{% endblock %}
{% block scripts %}
<script src="/static/js/client/datepicker_init.js?v={{js_version}}"></script>
{% endblock %}

